Summary:		A GNU tool for automatically configuring source code.
Name:			autoconf213
Version:		2.13
Release:		1
License:		GPL
Group:			Development/Tools
Source0:		ftp://prep.ai.mit.edu/pub/gnu/autoconf/autoconf-%{version}.tar.gz
Patch0:			autoconf-2.12-race.patch
Patch1:			autoconf-2.13-mawk.patch
Patch2:			autoconf-2.13-notmp.patch
Patch3:			autoconf-2.13-c++exit.patch
Patch4:			autoconf-2.13-headers.patch
Patch5:			autoconf-2.13-autoscan.patch
Patch6:			autoconf-2.13-exit.patch
Patch7:			autoconf-2.13-wait3test.patch
Patch8:			autoconf-2.13-make-defs-62361.patch
Patch9:			autoconf-2.13-versioning.patch
Requires:		gawk, m4, mktemp, perl, textutils
BuildArchitectures:	noarch
BuildRoot:		%{_tmppath}/%{name}-%{release}-root

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to specify
various configuration options.

%files
  %defattr(-,root,root)
  %doc AUTHORS COPYING NEWS README TODO
  %{_bindir}/*
  %{_infodir}/*.info*
  %{_datadir}/autoconf-%{version}

%prep
%setup -q -n autoconf-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%configure --program-suffix=-%{version}
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

  mv ${RPM_BUILD_ROOT}%{_infodir}/autoconf.info ${RPM_BUILD_ROOT}%{_infodir}/%{name}.info

  # We don't want to include the standards.info stuff in the package,
  # because it comes from binutils...
  rm -f ${RPM_BUILD_ROOT}%{_infodir}/standards*

  gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/*

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.13, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
